import { AdcreativeTemplate } from '@/services/launchAdq';

export const adcreativeTemplateList = [
  // 720
  {
    //创意规格示意图链接
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/creative_template_720.svg',
    adcreative_template_appellation: '横版视频 16:9', //创意形式名称
    adcreative_template_id: 720, //创意形式 id
    adcreative_template_style: '视频', //创意形式类型
    xd_show: true,
    sp_show: true,
    adcreativeElements: {
      description: '文案（1-30字）',
      video:
        '视频比例（宽:高）：9:16，最小尺寸（宽×高）：720*1280，大小：不超过102400 KB，时长：5~30 s，格式：*.mp4|*.avi|*.mov；',
      end_page: {
        end_page_type: '视频结束页类型',
        end_page_desc: '结束页文案,字数：1~12；',
      },
    },
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: true,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案（1-30字）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '视频结束页类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: 'END_PAGE_AVATAR_NICKNAME_HIGHLIGHT',
          enumeration: [
            {
              description: '突出头像及昵称',
              value: 'END_PAGE_AVATAR_NICKNAME_HIGHLIGHT',
            },
            {
              description: '突出文案',
              value: 'END_PAGE_DESCRIPTION_HIGHLIGHT',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'end_page_type',
        parent_name: 'end_page',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '结束页文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'end_page_desc',
        parent_name: 'end_page',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '视频结束页',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'end_page',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: '视频',
        element_type: 'ELEMENT_TYPE_VIDEO',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'video',
        parent_name: '',
        required: true,
        restriction: {
          video_restriction: {
            file_format: ['MEDIA_TYPE_MP4', 'MEDIA_TYPE_MOV', 'MEDIA_TYPE_AVI'],
            file_size: 102400,
            height: 0,
            max_duration: 30,
            min_duration: 5,
            min_height: 720,
            min_width: 1280,
            ratio_height: 9,
            ratio_width: 16,
            width: 0,
          },
        },
        struct_property: [],
      },
    ],
    landing_page_config: {
      //支持的落地页类型
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: true,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT', //推广目标类型
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'], //投放版位集合
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'], //支持的出价方式
    support_billing_spec_list: [
      //支持的计费信息
      {
        billing_event: 'BILLINGEVENT_IMPRESSION', //计费方式
        max_price: 99900, //最高出价，单位分
        min_price: 150, //最低出价，单位分
      },
    ],
    support_dynamic_ability_spec_list: {
      //
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_WECHAT'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: [],
      },
    ],
  },
  //721
  {
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/creative_template_721.svg',
    adcreative_template_appellation: '竖版视频 9:16',
    adcreative_template_id: 721,
    adcreative_template_style: '视频',
    xd_show: true,
    adcreativeElements: {
      description: '文案（1-30字）',
      video:
        '视频比例（宽:高）：9:16，最小尺寸（宽×高）：720*1280，大小：不超过102400 KB，时长：5~30 s，格式：*.mp4|*.avi|*.mov；',
    },
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: true,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案（1-30字）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '视频',
        element_type: 'ELEMENT_TYPE_VIDEO',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'video',
        parent_name: '',
        required: true,
        restriction: {
          video_restriction: {
            file_format: ['MEDIA_TYPE_MP4', 'MEDIA_TYPE_MOV', 'MEDIA_TYPE_AVI'],
            file_size: 102400,
            height: 0,
            max_duration: 30,
            min_duration: 5,
            min_height: 1280,
            min_width: 720,
            ratio_height: 16,
            ratio_width: 9,
            width: 0,
          },
        },
        struct_property: [],
      },
    ],
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_WECHAT'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: [],
      },
    ],
  },
  //618
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'VIEW_DETAILS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'MORE_INFO',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'MORE_INFO',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BUY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BUY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'RESERVE_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'RESERVE_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'CONSULT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'CONSULT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'APPLY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'APPLY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BOOK_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BOOK_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_COUPONS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_COUPONS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_IT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_IT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'READ_NOVELS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: '',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'VIEW_DETAILS',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'VIEW_DETAILS',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'MORE_INFO',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'MORE_INFO',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'MORE_INFO',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'MORE_INFO',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'MORE_INFO',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'BUY_NOW',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'RESERVE_NOW',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'CONSULT_NOW',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'APPLY_NOW',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'BOOK_NOW',
                description: '预定',
                value: 'CONVERSION_TARGET_BOOK',
              },
              {
                category: 'GET_COUPONS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'GET_IT_NOW',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '阅读',
                value: 'CONVERSION_TARGET_READ',
              },
              {
                category: '',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: '',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: '',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: '',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: '',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '链接名称类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: '',
          enumeration: [
            {
              description: '去唯品会',
              value: 'GO_TO_VIP',
            },
            {
              description: '去小红书',
              value: 'GO_TO_RED',
            },
            {
              description: '去快手',
              value: 'GO_TO_KUAISHOU',
            },
            {
              description: '进入小程序',
              value: 'ENTER_MINI_PROGRAM',
            },
            {
              description: '立即购买',
              value: 'BUY_NOW',
            },
            {
              description: '去京东',
              value: 'GO_TO_JD',
            },
            {
              description: '去苏宁',
              value: 'GO_TO_SUNING',
            },
            {
              description: '领取优惠',
              value: 'GET_COUPONS',
            },
            {
              description: '预约活动',
              value: 'MAKE_AN_APPOINTMENT',
            },
            {
              description: '去逛逛',
              value: 'GO_SHOPPING',
            },
            {
              description: '进入小游戏',
              value: 'ENTER_MINI_GAME',
            },
            {
              description: '去拼多多',
              value: 'GO_TO_PDD',
            },
            {
              description: '查看详情',
              value: 'VIEW_DETAILS',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'link_name_type',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序id',
        element_type: 'ELEMENT_TYPE_REFERENCE',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'mini_program_id',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序路径',
        element_type: 'ELEMENT_TYPE_URL',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'mini_program_path',
        parent_name: '',
        required: false,
        restriction: {
          url_restriction: {
            url_pattern: '.*',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '视频',
        element_type: 'ELEMENT_TYPE_VIDEO',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'short_video1',
        parent_name: 'short_video_struct',
        required: true,
        restriction: {
          video_restriction: {
            file_format: ['MEDIA_TYPE_MP4', 'MEDIA_TYPE_MOV', 'MEDIA_TYPE_AVI'],
            file_size: 102400,
            height: 0,
            max_duration: 30,
            min_duration: 5,
            min_height: 480,
            min_width: 640,
            ratio_height: 3,
            ratio_width: 4,
            width: 0,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '短视频结构',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'short_video_struct',
        parent_name: '',
        required: true,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-video-nor.svg',
    adcreative_template_appellation: '常规视频  4:3',
    adcreative_template_id: 618,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '视频',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
        {
          description: '微信简版原生页',
          example: '',
          page_type: 'PAGE_TYPE_MOMENTS_SIMPLE_NATIVE_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
  },
  //1708
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时结束时间（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_expiring_timestamp',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 13,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '广告详情',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        description: '标签内容',
        element_type: 'ELEMENT_TYPE_TEXT',
        field_type: 'FIELD_TYPE_STRING',
        name: 'content',
        parent_name: 'label',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 16,
            min_length: 1,
            text_pattern: '',
          },
        },
      },
      {
        array_property: {
          max_number: 3,
          min_number: 0,
        },
        description: '标签',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT_ARRAY',
        name: 'label',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '标题',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'title',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 14,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '视频',
        element_type: 'ELEMENT_TYPE_VIDEO',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'video',
        parent_name: '',
        required: true,
        restriction: {
          video_restriction: {
            file_format: ['MEDIA_TYPE_MP4', 'MEDIA_TYPE_MOV', 'MEDIA_TYPE_AVI'],
            file_size: 102400,
            height: 0,
            max_duration: 30,
            min_duration: 5,
            min_height: 360,
            min_width: 640,
            ratio_height: 9,
            ratio_width: 16,
            width: 0,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image',
        parent_name: '',
        required: false,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 20,
            height: 80,
            width: 80,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时开始时间（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_begin',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 11,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时时间描述',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_time_type',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 64,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时价格展示（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_price',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 9,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '是否支开启卖点图',
        element_type: 'ELEMENT_TYPE_BOOLEAN',
        enum_property: [],
        field_type: 'FIELD_TYPE_BOOLEAN',
        name: 'shop_image_switch',
        parent_name: 'shop_image_struct',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '启用动态卖点图',
        element_type: 'ELEMENT_TYPE_BOOLEAN',
        enum_property: [],
        field_type: 'FIELD_TYPE_BOOLEAN',
        name: 'dynamic_shop_image_switch',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_id',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 20,
            height: 80,
            width: 80,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点标题（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_title',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 10,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点描述',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_description',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 10,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'shop_image_struct',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: '右按钮跳转',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_landing_page2',
        parent_name: 'chosen_button',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '左按钮文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_text1',
        parent_name: 'chosen_button',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 4,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '左按钮跳转',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_landing_page1',
        parent_name: 'chosen_button',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '右按钮文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_text2',
        parent_name: 'chosen_button',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 4,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '选择按钮',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'chosen_button',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: '是否开启轮播文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'living_desc_struct_switch',
        parent_name: 'living_desc_struct',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 8,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 5,
          min_number: 2,
        },
        description: '轮播文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'living_desc_list',
        parent_name: 'living_desc_struct',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 16,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '轮播文案',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'living_desc_struct',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-video-act.svg',
    adcreative_template_appellation: '卡片广告 横版视频 16:9',
    adcreative_template_id: 1708,
    kp_show: true,
    adcreative_template_style: '视频',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
            ],
            required: false,
          },
        },
        {
          description: ' 微信公众号详情页',
          example: '',
          page_type: 'PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_WECHAT'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: [],
      },
    ],
  },
  //311
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'VIEW_DETAILS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'MORE_INFO',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'MORE_INFO',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BUY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BUY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'RESERVE_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'RESERVE_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'CONSULT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'CONSULT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'APPLY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'APPLY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BOOK_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BOOK_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_COUPONS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_COUPONS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_IT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_IT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'READ_NOVELS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: '',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'VIEW_DETAILS',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'VIEW_DETAILS',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'MORE_INFO',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'MORE_INFO',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'MORE_INFO',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'MORE_INFO',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'MORE_INFO',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'BUY_NOW',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'RESERVE_NOW',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'CONSULT_NOW',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'APPLY_NOW',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'BOOK_NOW',
                description: '预定',
                value: 'CONVERSION_TARGET_BOOK',
              },
              {
                category: 'GET_COUPONS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'GET_IT_NOW',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '阅读',
                value: 'CONVERSION_TARGET_READ',
              },
              {
                category: '',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: '',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: '',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: '',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: '',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 1,
          min_number: 1,
        },
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'image_list',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 300,
            height: 800,
            width: 800,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '链接名称类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: '',
          enumeration: [
            {
              description: '去唯品会',
              value: 'GO_TO_VIP',
            },
            {
              description: '领取优惠',
              value: 'GET_COUPONS',
            },
            {
              description: '进入小程序',
              value: 'ENTER_MINI_PROGRAM',
            },
            {
              description: '进入小游戏',
              value: 'ENTER_MINI_GAME',
            },
            {
              description: '去拼多多',
              value: 'GO_TO_PDD',
            },
            {
              description: '去逛逛',
              value: 'GO_SHOPPING',
            },
            {
              description: '去苏宁',
              value: 'GO_TO_SUNING',
            },
            {
              description: '去快手',
              value: 'GO_TO_KUAISHOU',
            },
            {
              description: '查看详情',
              value: 'VIEW_DETAILS',
            },
            {
              description: '去京东',
              value: 'GO_TO_JD',
            },
            {
              description: '预约活动',
              value: 'MAKE_AN_APPOINTMENT',
            },
            {
              description: '立即购买',
              value: 'BUY_NOW',
            },
            {
              description: '去小红书',
              value: 'GO_TO_RED',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'link_name_type',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序id',
        element_type: 'ELEMENT_TYPE_REFERENCE',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'mini_program_id',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序路径',
        element_type: 'ELEMENT_TYPE_URL',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'mini_program_path',
        parent_name: '',
        required: false,
        restriction: {
          url_restriction: {
            url_pattern: '.*',
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-img-big.svg',
    adcreative_template_appellation: '常规大图 1:1',
    adcreative_template_id: 311,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
  },
  // 641
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'VIEW_DETAILS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'MORE_INFO',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'MORE_INFO',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BUY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BUY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'RESERVE_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'RESERVE_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'CONSULT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'CONSULT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'APPLY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'APPLY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BOOK_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BOOK_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_COUPONS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_COUPONS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_IT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_IT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'READ_NOVELS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: '',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'VIEW_DETAILS',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'VIEW_DETAILS',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'MORE_INFO',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'MORE_INFO',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'MORE_INFO',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'MORE_INFO',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'MORE_INFO',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'BUY_NOW',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'RESERVE_NOW',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'CONSULT_NOW',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'APPLY_NOW',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'BOOK_NOW',
                description: '预定',
                value: 'CONVERSION_TARGET_BOOK',
              },
              {
                category: 'GET_COUPONS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'GET_IT_NOW',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '阅读',
                value: 'CONVERSION_TARGET_READ',
              },
              {
                category: '',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: '',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: '',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: '',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: '',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 3,
          min_number: 3,
        },
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'image_list',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 300,
            height: 800,
            width: 800,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '链接名称类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: '',
          enumeration: [
            {
              description: '去苏宁',
              value: 'GO_TO_SUNING',
            },
            {
              description: '领取优惠',
              value: 'GET_COUPONS',
            },
            {
              description: '立即购买',
              value: 'BUY_NOW',
            },
            {
              description: '去唯品会',
              value: 'GO_TO_VIP',
            },
            {
              description: '查看详情',
              value: 'VIEW_DETAILS',
            },
            {
              description: '去快手',
              value: 'GO_TO_KUAISHOU',
            },
            {
              description: '预约活动',
              value: 'MAKE_AN_APPOINTMENT',
            },
            {
              description: '进入小游戏',
              value: 'ENTER_MINI_GAME',
            },
            {
              description: '去拼多多',
              value: 'GO_TO_PDD',
            },
            {
              description: '去小红书',
              value: 'GO_TO_RED',
            },
            {
              description: '去逛逛',
              value: 'GO_SHOPPING',
            },
            {
              description: '去京东',
              value: 'GO_TO_JD',
            },
            {
              description: '进入小程序',
              value: 'ENTER_MINI_PROGRAM',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'link_name_type',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序id',
        element_type: 'ELEMENT_TYPE_REFERENCE',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'mini_program_id',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序路径',
        element_type: 'ELEMENT_TYPE_URL',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'mini_program_path',
        parent_name: '',
        required: false,
        restriction: {
          url_restriction: {
            url_pattern: '.*',
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-img-multimg.svg',
    adcreative_template_appellation: '常规多图 1:1 三图',
    adcreative_template_id: 641,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
  },
  //642
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'VIEW_DETAILS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'MORE_INFO',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'MORE_INFO',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BUY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BUY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'RESERVE_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'RESERVE_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'CONSULT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'CONSULT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'APPLY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'APPLY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BOOK_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BOOK_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_COUPONS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_COUPONS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_IT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_IT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'READ_NOVELS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: '',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'VIEW_DETAILS',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'VIEW_DETAILS',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'MORE_INFO',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'MORE_INFO',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'MORE_INFO',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'MORE_INFO',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'MORE_INFO',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'BUY_NOW',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'RESERVE_NOW',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'CONSULT_NOW',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'APPLY_NOW',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'BOOK_NOW',
                description: '预定',
                value: 'CONVERSION_TARGET_BOOK',
              },
              {
                category: 'GET_COUPONS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'GET_IT_NOW',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '阅读',
                value: 'CONVERSION_TARGET_READ',
              },
              {
                category: '',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: '',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: '',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: '',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: '',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 4,
          min_number: 4,
        },
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'image_list',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 300,
            height: 800,
            width: 800,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '链接名称类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: '',
          enumeration: [
            {
              description: '去京东',
              value: 'GO_TO_JD',
            },
            {
              description: '预约活动',
              value: 'MAKE_AN_APPOINTMENT',
            },
            {
              description: '去逛逛',
              value: 'GO_SHOPPING',
            },
            {
              description: '进入小程序',
              value: 'ENTER_MINI_PROGRAM',
            },
            {
              description: '进入小游戏',
              value: 'ENTER_MINI_GAME',
            },
            {
              description: '去小红书',
              value: 'GO_TO_RED',
            },
            {
              description: '去唯品会',
              value: 'GO_TO_VIP',
            },
            {
              description: '查看详情',
              value: 'VIEW_DETAILS',
            },
            {
              description: '去快手',
              value: 'GO_TO_KUAISHOU',
            },
            {
              description: '领取优惠',
              value: 'GET_COUPONS',
            },
            {
              description: '去苏宁',
              value: 'GO_TO_SUNING',
            },
            {
              description: '去拼多多',
              value: 'GO_TO_PDD',
            },
            {
              description: '立即购买',
              value: 'BUY_NOW',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'link_name_type',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序id',
        element_type: 'ELEMENT_TYPE_REFERENCE',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'mini_program_id',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序路径',
        element_type: 'ELEMENT_TYPE_URL',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'mini_program_path',
        parent_name: '',
        required: false,
        restriction: {
          url_restriction: {
            url_pattern: '.*',
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-img-multimg.svg',
    adcreative_template_appellation: '常规多图 1:1 四图',
    adcreative_template_id: 642,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
  },
  //643
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'VIEW_DETAILS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'MORE_INFO',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'MORE_INFO',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BUY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BUY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'RESERVE_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'RESERVE_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'CONSULT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'CONSULT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'APPLY_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'APPLY_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'BOOK_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'BOOK_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_COUPONS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_COUPONS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'GET_IT_NOW',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'GET_IT_NOW',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: 'READ_NOVELS',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
              {
                category: '',
                description: '好友关注量',
                value: 'CONVERSION_DATA_FRIEND_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: 'VIEW_DETAILS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'VIEW_DETAILS',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'VIEW_DETAILS',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'VIEW_DETAILS',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'MORE_INFO',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'MORE_INFO',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'MORE_INFO',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'MORE_INFO',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'MORE_INFO',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'BUY_NOW',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: 'RESERVE_NOW',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: 'CONSULT_NOW',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
              {
                category: 'APPLY_NOW',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: 'BOOK_NOW',
                description: '预定',
                value: 'CONVERSION_TARGET_BOOK',
              },
              {
                category: 'GET_COUPONS',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'GET_IT_NOW',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: 'FOLLOW_OFFICIAL_ACCOUNT',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
              {
                category: 'READ_NOVELS',
                description: '阅读',
                value: 'CONVERSION_TARGET_READ',
              },
              {
                category: '',
                description: '领取',
                value: 'CONVERSION_TARGET_GET',
              },
              {
                category: '',
                description: '预约',
                value: 'CONVERSION_TARGET_RESERVE',
              },
              {
                category: '',
                description: '购买',
                value: 'CONVERSION_TARGET_BUY',
              },
              {
                category: '',
                description: '申请',
                value: 'CONVERSION_TARGET_APPLY',
              },
              {
                category: '',
                description: '咨询',
                value: 'CONVERSION_TARGET_CONSULT',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 6,
          min_number: 6,
        },
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'image_list',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 300,
            height: 800,
            width: 800,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '链接名称类型',
        element_type: 'ELEMENT_TYPE_ENUM',
        enum_property: {
          default: '',
          enumeration: [
            {
              description: '预约活动',
              value: 'MAKE_AN_APPOINTMENT',
            },
            {
              description: '去小红书',
              value: 'GO_TO_RED',
            },
            {
              description: '去快手',
              value: 'GO_TO_KUAISHOU',
            },
            {
              description: '进入小程序',
              value: 'ENTER_MINI_PROGRAM',
            },
            {
              description: '领取优惠',
              value: 'GET_COUPONS',
            },
            {
              description: '立即购买',
              value: 'BUY_NOW',
            },
            {
              description: '去拼多多',
              value: 'GO_TO_PDD',
            },
            {
              description: '去苏宁',
              value: 'GO_TO_SUNING',
            },
            {
              description: '去逛逛',
              value: 'GO_SHOPPING',
            },
            {
              description: '去京东',
              value: 'GO_TO_JD',
            },
            {
              description: '去唯品会',
              value: 'GO_TO_VIP',
            },
            {
              description: '查看详情',
              value: 'VIEW_DETAILS',
            },
            {
              description: '进入小游戏',
              value: 'ENTER_MINI_GAME',
            },
          ],
        },
        field_type: 'FIELD_TYPE_STRING',
        name: 'link_name_type',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序id',
        element_type: 'ELEMENT_TYPE_REFERENCE',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'mini_program_id',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '小程序路径',
        element_type: 'ELEMENT_TYPE_URL',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'mini_program_path',
        parent_name: '',
        required: false,
        restriction: {
          url_restriction: {
            url_pattern: '.*',
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-img-multimg.svg',
    adcreative_template_appellation: '常规多图 1:1 六图',
    adcreative_template_id: 643,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
  },
  //711
  {
    adcreative_attributes: [
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_data_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: '',
                description: '转化数据量',
                value: 'CONVERSION_DATA_ADMETRIC',
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '转化数据量类型',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'conversion_target_type',
        property_detail: {
          enum_detail: {
            enumeration: [
              {
                category: '',
                description: '关注',
                value: 'CONVERSION_TARGET_FOLLOW',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: true,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '文案（1-30字）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'image',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 140,
            height: 720,
            width: 1280,
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/creative_template_711.svg',
    adcreative_template_appellation: '横版大图 16:9',
    adcreative_template_id: 711,
    xd_show: true,
    sj_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: ' 微信公众号详情页',
          example: '',
          page_type: 'PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
            ],
            required: true,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信一键关注页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_FOCUS_DAILOG',
              },
            ],
            required: true,
          },
        },
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
            ],
            required: true,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
              {
                description: '微信一键关注页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_FOCUS_DAILOG',
              },
            ],
            required: true,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC', 'BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        max_price: 10000,
        min_price: 10,
      },
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
  },
  //712
  {
    adcreative_attributes: [
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: true,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'image',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 140,
            height: 1920,
            width: 1080,
          },
        },
        struct_property: [],
      },
      {
        description: '标签内容',
        element_type: 'ELEMENT_TYPE_TEXT',
        field_type: 'FIELD_TYPE_STRING',
        name: 'content',
        parent_name: 'label',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 15,
            min_length: 2,
            text_pattern: '',
          },
        },
      },
      {
        array_property: {
          max_number: 3,
          min_number: 1,
        },
        description: '标签',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT_ARRAY',
        name: 'label',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/creative_template_712.svg',
    adcreative_template_appellation: '竖版大图 9:16',
    adcreative_template_id: 712,
    bq_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: ' 微信公众号详情页',
          example: '',
          page_type: 'PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
        },
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_WECHAT'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
  },
  //910
  {
    adcreative_attributes: [
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'https://qzonestyle.gtimg.cn/gdt_ui_proj/dist/phoenix/images/ctpl/ctpl-inspires.svg',
    adcreative_template_appellation: '激励浏览广告',
    adcreative_template_id: 910,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: [],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_WECHAT'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
  },
  //925
  {
    adcreative_attributes: [
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'image',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 100,
            height: 334,
            width: 960,
          },
        },
        struct_property: [],
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/ad-process/images/creative-size-banner.svg',
    adcreative_template_appellation: 'Banner图片 20:7',
    adcreative_template_id: 925,
    xd_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
              {
                description: '微信一键关注页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_FOCUS_DAILOG',
              },
            ],
            required: false,
          },
        },
        {
          description: ' 微信公众号详情页',
          example: '',
          page_type: 'PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信一键关注页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_FOCUS_DAILOG',
              },
            ],
            required: false,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC', 'BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_CLICK',
        max_price: 10000,
        min_price: 10,
      },
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: ['SITE_SET_MOMENTS'],
      },
    ],
  },
  //1707
  {
    adcreative_attributes: [
      {
        description: '头像及昵称跳转页',
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'profile_id',
        property_detail: {
          integer_detail: {
            max: 20,
            min: 0,
          },
        },
        required: true,
      },
      {
        description: '分享信息',
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'share_content_spec',
        property_detail: {
          struct_detail: {
            element_list: [
              {
                description: '分享描述',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_desc',
                property_detail: {
                  string_detail: {
                    max_length: 20,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
              {
                description: '分享标题',
                field_type: 'FIELD_TYPE_STRING',
                name: 'share_title',
                property_detail: {
                  string_detail: {
                    max_length: 14,
                    min_length: 1,
                    text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
                  },
                },
                required: true,
              },
            ],
          },
        },
        required: false,
      },
      {
        description: '动态创意分组',
        field_type: 'FIELD_TYPE_ENUM',
        name: 'dynamic_creative_group_used',
        property_detail: {
          enum_detail: {
            default: 'NOT_USE_GROUP',
            enumeration: [
              {
                description: '不使用组合',
                value: 'NOT_USE_GROUP',
              },
              {
                description: '视频封面图组合',
                value: 'VIDEO_IMAGE_GROUP',
              },
            ],
          },
        },
        required: false,
      },
    ],
    adcreative_elements: [
      {
        array_property: [],
        description: '品牌名称',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_name',
        parent_name: 'brand',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 12,
            min_length: 2,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌标识图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'brand_img',
        parent_name: 'brand',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 512,
            width: 512,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '品牌形象',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'brand',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: 'Canvas',
        element_type: 'ELEMENT_TYPE_CANVAS',
        enum_property: [],
        field_type: 'FIELD_TYPE_INTEGER',
        name: 'canvas',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时结束时间（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_expiring_timestamp',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 13,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '广告详情',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'description',
        parent_name: '',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 30,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 1,
          min_number: 1,
        },
        description: '图片',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'image_list',
        parent_name: '',
        required: true,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 400,
            height: 720,
            width: 1280,
          },
        },
        struct_property: [],
      },
      {
        description: '标签内容',
        element_type: 'ELEMENT_TYPE_TEXT',
        field_type: 'FIELD_TYPE_STRING',
        name: 'content',
        parent_name: 'label',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 16,
            min_length: 1,
            text_pattern: '',
          },
        },
      },
      {
        array_property: {
          max_number: 3,
          min_number: 0,
        },
        description: '标签',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT_ARRAY',
        name: 'label',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '标题',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'title',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 14,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image',
        parent_name: '',
        required: false,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 20,
            height: 80,
            width: 80,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时开始时间（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_begin',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 11,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时时间描述',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_time_type',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 64,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '倒计时价格展示（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'countdown_price',
        parent_name: '',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 9,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '是否支开启卖点图',
        element_type: 'ELEMENT_TYPE_BOOLEAN',
        enum_property: [],
        field_type: 'FIELD_TYPE_BOOLEAN',
        name: 'shop_image_switch',
        parent_name: 'shop_image_struct',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '启用动态卖点图',
        element_type: 'ELEMENT_TYPE_BOOLEAN',
        enum_property: [],
        field_type: 'FIELD_TYPE_BOOLEAN',
        name: 'dynamic_shop_image_switch',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_IMAGE',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_id',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          image_restriction: {
            file_format: ['IMAGE_TYPE_JPG', 'IMAGE_TYPE_PNG'],
            file_size: 20,
            height: 80,
            width: 80,
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点标题（选填）',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_title',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 10,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点描述',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'shop_image_description',
        parent_name: 'shop_image_struct',
        required: false,
        restriction: {
          text_restriction: {
            max_length: 10,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '卖点图',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'shop_image_struct',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: '左按钮文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_text1',
        parent_name: 'chosen_button',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 4,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '左按钮跳转',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_landing_page1',
        parent_name: 'chosen_button',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '右按钮文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_text2',
        parent_name: 'chosen_button',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 4,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '右按钮跳转',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'chosen_button_landing_page2',
        parent_name: 'chosen_button',
        required: true,
        restriction: [],
        struct_property: [],
      },
      {
        array_property: [],
        description: '选择按钮',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'chosen_button',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
      {
        array_property: [],
        description: '是否开启轮播文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING',
        name: 'living_desc_struct_switch',
        parent_name: 'living_desc_struct',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 8,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: {
          max_number: 5,
          min_number: 2,
        },
        description: '轮播文案',
        element_type: 'ELEMENT_TYPE_TEXT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRING_ARRAY',
        name: 'living_desc_list',
        parent_name: 'living_desc_struct',
        required: true,
        restriction: {
          text_restriction: {
            max_length: 16,
            min_length: 1,
            text_pattern: '^[^\\<\\>\\&\'\\"\\/\\x08\\x09\\x0A\\x0D\\\\]+$',
          },
        },
        struct_property: [],
      },
      {
        array_property: [],
        description: '轮播文案',
        element_type: 'ELEMENT_TYPE_STRUCT',
        enum_property: [],
        field_type: 'FIELD_TYPE_STRUCT',
        name: 'living_desc_struct',
        parent_name: '',
        required: false,
        restriction: [],
        struct_property: {
          element_mutual_exclusive: false,
        },
      },
    ],
    adcreative_sample_image:
      'http://qzonestyle.gtimg.cn/gdt_ui_proj/dist/gdt/imgbox/mp-img-act.svg',
    adcreative_template_appellation: '卡片广告 横版大图 16:9',
    adcreative_template_id: 1707,
    kp_show: true,
    adcreative_template_style: '图片',
    landing_page_config: {
      required: false,
      support_page_type_list: [
        {
          description: '微信原生推广页',
          example: '',
          page_type: 'PAGE_TYPE_CANVAS_WECHAT',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: '微信原生页',
                link_page_type: 'LINK_PAGE_TYPE_CANVAS_WECHAT',
              },
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
            ],
            required: true,
          },
        },
        {
          description: ' 微信公众号详情页',
          example: '',
          page_type: 'PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
          support_link_name_type: {
            list: [
              {
                description: '查看详情',
                link_name_type: 'VIEW_DETAILS',
              },
              {
                description: '了解更多',
                link_name_type: 'MORE_INFO',
              },
              {
                description: '立即购买',
                link_name_type: 'BUY_NOW',
              },
              {
                description: '立即申请',
                link_name_type: 'APPLY_NOW',
              },
              {
                description: '立即预定',
                link_name_type: 'BOOK_NOW',
              },
              {
                description: '立即咨询',
                link_name_type: 'CONSULT_NOW',
              },
              {
                description: '立即预约',
                link_name_type: 'RESERVE_NOW',
              },
              {
                description: '立即领取',
                link_name_type: 'GET_IT_NOW',
              },
              {
                description: '领取优惠',
                link_name_type: 'GET_COUPONS',
              },
              {
                description: '去逛逛',
                link_name_type: 'GO_SHOPPING',
              },
              {
                description: '关注公众号',
                link_name_type: 'FOLLOW_OFFICIAL_ACCOUNT',
              },
              {
                description: '阅读小说',
                link_name_type: 'READ_NOVELS',
              },
            ],
            required: false,
          },
          support_link_page_type: {
            list: [
              {
                description: ' 微信公众号详情页',
                link_page_type: 'LINK_PAGE_TYPE_WECHAT_OFFICIAL_ACCOUNT_DETAIL',
              },
            ],
            required: true,
          },
        },
      ],
    },
    promoted_object_type: 'PROMOTED_OBJECT_TYPE_WECHAT_OFFICIAL_ACCOUNT',
    site_set: ['SITE_SET_MOMENTS', 'SITE_SET_WECHAT'],
    support_bid_mode_list: ['BID_MODE_CPM', 'BID_MODE_OCPM'],
    support_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_IMPRESSION',
        max_price: 99900,
        min_price: 150,
      },
    ],
    support_dynamic_ability_spec_list: {
      dynamic_ability_type: ['DYNAMIC_TYPE_DYNAMIC_CREATIVE'],
      product_item_display_quantity: [],
    },
    unsupport_bid_mode_list: [
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPC', 'BID_MODE_OCPC'],
        site_set: ['SITE_SET_MOMENTS'],
      },
      {
        bid_mode_list: ['BID_MODE_CPA'],
        site_set: ['SITE_SET_WECHAT'],
      },
    ],
    unsupport_billing_spec_list: [
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_CLICK',
        site_set: ['SITE_SET_MOMENTS'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
      {
        billing_event: 'BILLINGEVENT_APP_DOWNLOAD',
        site_set: ['SITE_SET_WECHAT'],
        unsupport_type: 'UNSUPPORT_TYPE_EXPOSURE',
      },
    ],
    unsupport_siteset_detail_spec: [
      {
        site_set: [],
      },
    ],
  },
];

/**即将下线创意形式*/
const outAdcreativeTemplateIdEnum = [
  927, 876, 878, 716, 960, 998, 484, 616, 450, 588, 955, 730, 961, 717, 1030, 567, 608, 929, 538,
  559, 1465, 1515, 877, 589, 452, 957, 560, 1480, 1064, 968, 254,
];
export function outAdcreativeTemplateIdFun(id: number) {
  return outAdcreativeTemplateIdEnum.every((i) => i !== id);
}
